import React, { Fragment } from "react";
import uuidv1 from "uuid/v1";

import StructureView from "../StructureView";

const STRUCTURES_PER_ROW = 2;

const StructuresList = ({ data = {} }) => {
  const struct_uids = data.toArray(val => val.domModelId);
  const rows = [];
  while (struct_uids.length) {
    const pair = struct_uids.splice(0, STRUCTURES_PER_ROW);
    while (pair.length < STRUCTURES_PER_ROW) pair.push(null);
    const row = (
      <div key={uuidv1()} className="flex">
        {pair.map(uid => {
          if (uid)
            return (
              <div key={uuidv1()} className="flex-1 sctructure-slider">
                <StructureView uid={uid} />
              </div>
            );
          else
            return (
              <div key={uuidv1()} className="flex-1 sctructure-slider empty" />
            );
        })}
      </div>
    );
    rows.push(row);
  }
  return <Fragment>{rows}</Fragment>;
};

export default StructuresList;
