import React from "react";
import { connect } from "react-redux";

import MDDocument from "../../components/MDDocument";

import { setActiveRoute } from "../../actions/page";
import * as ROUTES from "../../constants/routes";

const PrivacyPage = props => {
  const { setActiveRoute } = props;
  setActiveRoute(ROUTES.PRIVACY);

  return (
    <div className="page">
      <MDDocument url="/docs/privacy.md" />
    </div>
  );
};

const mapDispatchToProps = dispatch => ({
  setActiveRoute: route => dispatch(setActiveRoute(route))
});

export default connect(
  null,
  mapDispatchToProps
)(PrivacyPage);
