// import { createStore, applyMiddleware } from "redux";
// import thunk from "redux-thunk";
// import rootReducer from "../reducers";

// const store = createStore(rootReducer, applyMiddleware(thunk, logger));

// export default store;

import { createStore, applyMiddleware, compose } from "redux";
import logger from "redux-logger";
import thunk from "redux-thunk";

import rootReducer from "../reducers";

const loadState = () => {
  // state не сохраняем
  return undefined;

  // try {
  //   const serializedState = localStorage.getItem("app:state");
  //   if (serializedState === null) {
  //     return undefined;
  //   }
  //   return JSON.parse(serializedState);
  // } catch (err) {
  //   return undefined;
  // }
};

const saveState = state => {
  try {
    localStorage.setItem("app:state", JSON.stringify(state));
  } catch (err) {}
};

const savedState = loadState();

const composeEnhancers = window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__ || compose;
const store = createStore(
  rootReducer,
  savedState,
  composeEnhancers(applyMiddleware(thunk, logger))
);

store.subscribe(() => saveState(store.getState()));

export default store;
