export const bit = pos => 2 ** (pos - 1);

export const setbit = (num, ...bits) => {
  bits.forEach(v => {
    num = num | bit(v);
  });
  return num;
};

export const resetbit = (num, ...bits) => {
  bits.forEach(v => {
    if (num & bit(v)) num = num ^ bit(v);
  });
  return num;
};

export const switchbit = (num, ...bits) => {
  bits.forEach(v => {
    num = num ^ bit(v);
  });
  return num;
};

export const isset = (num, ...rest) => {
  let result = false;
  const allbits = rest[0] === true;
  if (allbits) {
    rest.splice(0, 1);
    result = !!rest.length;
    rest.forEach(v => {
      result = result && !!(num & bit(v));
    });
  } else {
    rest.forEach(v => {
      result = result || !!(num & bit(v));
    });
  }
  return result;
};
